Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IDPMEventHandler Class Reference

`#include <PluginCommon.hpp>`

List of all members.

## Public Member Functions
virtual | ~IDPMEventHandler ()
virtual IDPMResult | AddEventHandler (IDPlugin *Plugin,...)=0
virtual IDPMResult | AddEventHandler (IDPObject *Object,...)=0
virtual IDPMResult | RemoveEventHandler (IDPlugin *Plugin,...)=0
virtual IDPMResult | RemoveEventHandler (IDPObject *Object,...)=0
virtual int | RegisterCustomEvent (const char *EventName)=0

## Constructor & Destructor Documentation

virtual IDPMEventHandler::~IDPMEventHandler | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual IDPMResult IDPMEventHandler::AddEventHandler | ( | IDPObject * | Object,
|  | ... |
| ) | `[pure virtual]`

  | Adds an event handler for the plugin/object. This function creates a new event handler for the plugin or object for the specified event(s). The function uses variable arguments so that you may specify as many events in one call as you wish. Returns: IDPMResult code Parameters:
  Object | The instance of the object which should receive the event calls specified
  ... | Variable argument list of events (ints) that the plugin/object wants to receive calls for. The last event must be 0.
Warning: You must use the number 0 as the last event tpo signal the end of the events. If you do not, you will most likely corrupt the stack and crash the editor.

virtual IDPMResult IDPMEventHandler::AddEventHandler | ( | IDPlugin * | Plugin,
|  | ... |
| ) | `[pure virtual]`

  | Adds an event handler for the plugin/object. This function creates a new event handler for the plugin or object for the specified event(s). The function uses variable arguments so that you may specify as many events in one call as you wish. Returns: IDPMResult code Parameters:
  Plugin | The instance of the plugin which should receive the event calls specified
  ... | Variable argument list of events (ints) that the plugin/object wants to receive calls for. The last event must be 0.
Warning: You must use the number 0 as the last event tpo signal the end of the events. If you do not, you will most likely corrupt the stack and crash the editor.

virtual int IDPMEventHandler::RegisterCustomEvent | ( | const char * | EventName | ) | `[pure virtual]`

  | Creates a new event type in the system. This function can be used to create a custom event type that lasts until the editor is shut down. The first plugin to make this call will create a new event type with the specified event name, and receive an ID for that event. Any other plugin that calls this function with the same name, will get the same ID. This allows a cusotm event to be created that all plugins can be aware of. The returned ID is only valid for the session, and may be different next time the application is run. Therefore it should not be saved. Returns: ID of the specified event name Parameters:
  EventName | Name of the event to create/return

virtual IDPMResult IDPMEventHandler::RemoveEventHandler | ( | IDPObject * | Object,
|  | ... |
| ) | `[pure virtual]`

virtual IDPMResult IDPMEventHandler::RemoveEventHandler | ( | IDPlugin * | Plugin,
|  | ... |
| ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- PluginCommon.hpp